/*
 *  Copyright 2010 Heinrich Schuchardt.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package de.xypron.statistics;

/**
 * Dirac Delta Distribution
 */
public class DiracDeltaDistribution implements Distribution {

    double my;    // mean

    public DiracDeltaDistribution(double my) {
        this.my = my;
    }

    public double getMy() {
        return my;
    }

    public void setMy(double my) {
        this.my = my;
    }

    @Override
    public double alphaSafetyFactor(double serviceLevel) throws Exception {
        return 0;
    }

    @Override
    public double alphaServiceLevel(double safetyFactor) throws Exception {
        return 1;
    }

    @Override
    public double betaSafetyFactor(double serviceLevel) throws Exception {
        return 0;
    }

    @Override
    public double betaServiceLevel(double safetyFactor) throws Exception {
        return 1;
    }

    @Override
    public double getMean() {
        return my;
    }

    @Override
    public double getStandardDeviation() {
        return 0;
    }

    @Override
    public double randomValue() throws Exception {
        return my;
    }
}
